<?php
/*
 * Register necessary class names with autoloader
 */

$extensionPath = t3lib_extMgm::extPath('automator');
return array(

	// classes
	'tx_automator'      => $extensionPath . 'classes/class.tx_automator.php',
	'tx_automator_Registry' => $extensionPath . 'classes/class.tx_automator_Registry.php',
	'tx_automator_Runner' => $extensionPath . 'classes/class.tx_automator_Runner.php',
	'tx_automator_Ajax' => $extensionPath . 'classes/class.tx_automator_Ajax.php',

	// toolbar
	'tx_automator_ToolBarMenu' => $extensionPath . 'toolbarmenu/class.tx_automator_ToolBarMenu.php',

	// interfaces
	'tx_automator_InterfaceActionStep' => $extensionPath . 'interfaces/class.tx_automator_InterfaceActionStep.php',
	'tx_automator_InterfaceParameter' => $extensionPath . 'interfaces/class.tx_automator_InterfaceParameter.php',

	// parameter
	'tx_automator_ParameterBlankValue' => $extensionPath . 'parameter/class.tx_automator_ParameterBlankValue.php',
	'tx_automator_ParameterErrorValue' => $extensionPath . 'parameter/class.tx_automator_ParameterErrorValue.php',
	'tx_automator_ParameterInformationValue' => $extensionPath . 'parameter/class.tx_automator_ParameterInformationValue.php',
	'tx_automator_ParameterMultiValue' => $extensionPath . 'parameter/class.tx_automator_ParameterMultiValue.php',
	'tx_automator_ParameterRecordSet' => $extensionPath . 'parameter/class.tx_automator_ParameterRecordSet.php',
	'tx_automator_ParameterSingleValue' => $extensionPath . 'parameter/class.tx_automator_ParameterSingleValue.php',
	
	// eID & scheduler
	'tx_automator_scheduler' => $extensionPath . 'class.tx_automator_scheduler.php',
	'tx_automator_eID' => $extensionPath . 'class.tx_automator_eID.php',
);
?>