<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2009 Tim Lochmueller <webmaster@fruit-lab.de>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

class tx_automator_InterfaceActionStep {
	
	/**
	 * Store the data
	 */
	private $parameterStorage = null;
	
	/**
	 * Set the value of the parameter
	 * 
	 * @param The Value that is store in the internal storage
	 * @return Reference of this
	 */
	public function setValue($value);
	
	/**
	 * Get the value of the parameter
	 * 
	 * @return The Value of the Parameter
	 */
	public function getValue();
	
	
	/**
	 * Return the Object content via direct acccess
	 */
	public function __toString() {
		return print_r($this->parameterStorage, 1);
	}
	

} # class - tx_automator_InterfaceActionStep

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/automator/interfaces/class.tx_automator_InterfaceActionStep.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/automator/interfaces/class.tx_automator_InterfaceActionStep.php']);
} # if

?>