<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

require_once(t3lib_extMgm::extPath('automator').'/classes/class.tx_automator.php');

$TCA['tx_automator_steps'] = array (
	'ctrl' => $TCA['tx_automator_steps']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'hidden,title,steptype,configuration'
	),
	'feInterface' => $TCA['tx_automator_steps']['feInterface'],
	'columns' => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'title' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:automator/locallang_db.xml:tx_automator_steps.title',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required',
			)
		),
		'steptype' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:automator/locallang_db.xml:tx_automator_steps.steptype',		
			'config' => array (
				'type' => 'select',
				'items' => array (
					array('LLL:EXT:automator/locallang_db.xml:tx_automator_steps.steptype.I.0', '0'),
				),
				'size' => 1,	
				'maxitems' => 1,
				'itemsProcFunc' => 'tx_automator->getBeSelectSteps',
			)
		),
		'configuration' => array (	
			'displayCond' => 'FIELD:steptype:REQ:true',	
			'exclude' => 0,		
			'label' => 'LLL:EXT:automator/locallang_db.xml:tx_automator_steps.configuration',		
			'config' => array (
				'type' => 'flex',
				'ds_pointerField' => 'steptype',
				'ds' => array (
					'default' => '<T3DataStructure><meta><langDisable>1</langDisable></meta><ROOT><type>array</type><el>
			<none>
				<TCEforms>
					<label>no configuration File</label>
					<config>
						<type>none</type>
					</config>
				</TCEforms>
			</none></el></ROOT></T3DataStructure>',
					
				),
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 'title;;1;;1-1-1, steptype, configuration;;;;2-2-2')
	),
	'palettes' => array (
		'1' => array('showitem' => 'hidden')
	)
);
?>