<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tx_automator_actions'] = array (
	'ctrl' => array (
		'title'     => 'LLL:EXT:automator/locallang_db.xml:tx_automator_actions',		
		'label'     => 'title',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => 'ORDER BY crdate',	
		'setToDefaultOnCopy' => 'assign_to_groups',
		'delete' => 'deleted',
		'rootLevel' => 1,
		'adminOnly' => 1,
		'enablecolumns' => array (		
			'disabled' => 'hidden',	
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca/tx_automator_actions.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY).'res/icon_tx_automator_actions.png',
	),
);

$TCA['tx_automator_steps'] = array (
	'ctrl' => array (
		'title'     => 'LLL:EXT:automator/locallang_db.xml:tx_automator_steps',		
		'label'     => 'title',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => 'ORDER BY crdate',
		'sortby' => 'sorting',
		'hideTable' => true,	
		'rootLevel' => 1,
		'adminOnly' => 1,
		'enablecolumns' => array (		
			'disabled' => 'hidden',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca/tx_automator_steps.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY).'res/icon_tx_automator_steps.png',
	),
);

if (TYPO3_MODE == 'BE') {
	require_once(t3lib_extMgm::extPath('automator').'/classes/class.tx_automator.php');
	tx_automator::autoRegisterAutomator();
	
	$GLOBALS['TYPO3_CONF_VARS']['typo3/backend.php']['additionalBackendItems'][] = t3lib_extMgm::extPath('automator') . 'toolbarmenu/registerToolbarItem.php';

	$TYPO3_CONF_VARS['BE']['AJAX']['tx_'.$_EXTKEY.'_Ajax::runAction'] = t3lib_extMgm::extPath($_EXTKEY).'classes/class.tx_'.$_EXTKEY.'_Ajax.php:tx_'.$_EXTKEY.'_Ajax->runAction';
}
?>