#
# Table structure for table 'tx_automator_actions'
#
CREATE TABLE tx_automator_actions (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	startoption tinyint(4) DEFAULT '0' NOT NULL,
	assign_to_groups int(11) DEFAULT '0' NOT NULL,
	title tinytext,
	actionsteps text,
	allow_eid tinyint(4) DEFAULT '0' NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);



#
# Table structure for table 'tx_automator_steps'
#
CREATE TABLE tx_automator_steps (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	actionuid tinyint(8) DEFAULT '0' NOT NULL,
	sorting tinyint(8) DEFAULT '0' NOT NULL,
	title tinytext,
	steptype mediumtext,
	configuration mediumtext,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);