<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA['tx_automator_actions'] = array (
	'ctrl' => $TCA['tx_automator_actions']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'hidden,title,actionsteps'
	),
	'feInterface' => $TCA['tx_automator_actions']['feInterface'],
	'columns' => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'title' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:automator/locallang_db.xml:tx_automator_actions.title',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'eval' => 'required',
			)
		),
		'allow_eid' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:automator/locallang_db.xml:tx_automator_actions.allow_eid',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),		
		'actionsteps' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:automator/locallang_db.xml:tx_automator_actions.actionsteps',		
			'config' => array (
				'type' => 'inline',	
				'foreign_table' => 'tx_automator_steps',	
				'foreign_field' => 'actionuid',	
				'maxitems' => 100,
				'appearance' => Array(
					'collapseAll' => 1,
					'expandSingle' => 1,
				),
			),
		),
		'assign_to_groups' => Array (
			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_users.usergroup',
			'config' => Array (
				'type' => 'select',
				'foreign_table' => 'be_groups',
				'foreign_table_where' => 'ORDER BY be_groups.title',
				'MM' => 'sys_action_asgr_mm',
				'size' => '5',
				'minitems' => '0',
				'maxitems' => '200'
			)
		),
		'startoption' => Array (
			'label' => 'LLL:EXT:automator/locallang_db.xml:tx_automator_actions.startoption',
			'config' => Array (
				'type' => 'select',
				'size' => '1',
				'maxitems' => '1',
				'items' => array(
					array('Flexible','0'),
					array('Automatisch','1'),
					array('Manuell','2'),
				)
			)
		),
		
    ),
	'types' => array (
		'0' => array('showitem' => 'title;;1;;1-1-1, assign_to_groups, actionsteps;;;;2-2-2')
	),
	'palettes' => array (
		'1' => array('showitem' => 'hidden,startoption,allow_eid')
	)
);

?>